LabeledStructure (MaltParser 1.4.1)
Date: 2010-07-15

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| MaltParser 1.4.1
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.maltparser.core.syntaxgraph
Interface LabeledStructure

All Known Subinterfaces:
  DependencyStructure, PhraseStructure, TokenStructure

All Known Implementing Classes:
  DependencyGraph, MappablePhraseStructureGraph, PhraseStructureGraph, Sentence, SyntaxGraph

    public interface LabeledStructure

Author:
  Johan Hall

Method Summary
`void` | `addLabel(Element element, String tableName, String label)` Adds a label label to the graph element element
`void` | `checkInLabelSet(LabelSet labelSet)` Checks in a label set.
`LabelSet` | `checkOutNewLabelSet()` Checks out a new label set from the structure.
`SymbolTableHandler` | `getSymbolTables()` Returns the symbol table handler.
`void` | `setSymbolTables(SymbolTableHandler symbolTables)` Sets the symbol table handler.

Method Detail

### getSymbolTables

    SymbolTableHandler getSymbolTables()

  Returns the symbol table handler.

  Returns:
    the symbol table handler.

### setSymbolTables

    void setSymbolTables(SymbolTableHandler symbolTables)

  Sets the symbol table handler.

  Parameters:
    `symbolTables` - a symbol table handler.

### addLabel

    void addLabel(Element element,
                  String tableName,
                  String label)
                  throws MaltChainedException

  Adds a label label to the graph element element

  Parameters:
    `element` - a graph element element (a node or a edge).
    `tableName` - the name of the symbol table.
    `label` - the string value of the label.
  Throws:
    `MaltChainedException`

### checkOutNewLabelSet

    LabelSet checkOutNewLabelSet()
                                 throws MaltChainedException

  Checks out a new label set from the structure.

  Returns:
    a new label set.
  Throws:
    `MaltChainedException`

### checkInLabelSet

    void checkInLabelSet(LabelSet labelSet)
                         throws MaltChainedException

  Checks in a label set.

  Parameters:
    `labelSet` - a label set.
  Throws:
    `MaltChainedException`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| MaltParser 1.4.1
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright 2007-2010 Johan Hall, Jens Nilsson and Joakim Nivre.